#
# spec file for package kmysql (Version 1.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz mysql-devel mysql-shared postgresql-devel qtdevel qtext qtlib sybase xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl postgresql-devel ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace sybase syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kmysql
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Graphical client for mysql
Version:      1.2.1
Release:      271
Provides:     ksql
Source0:      kmysql-1.2.1.tar.gz
Patch0: kmysql-1.2.1.dif
Source1:      kmp_mysql-1.2.0.tar.gz
Source2:      kmp_psql-0.1.2.2.tar.gz
Patch2:       kmp_psql-0.1.2.2.dif
Source3:      kmp_sybase-0.1.1.tar.gz
Patch3:       kmp_sybase-0.1.1.dif

%description
Graphical client for mysql

Authors:
--------
    Frdrik Bilhaut <bilhaut_f@mail.cpod.fr>

SuSE series: kde

%prep
%setup -n kmysql-1.2.1 -b 1 -b 2 -b 3
%patch -p 0 -E
cd ../kmp_psql-0.1.2.2
%patch2 -p 0 -E
cd ../kmp_sybase-0.1.1
%patch3 -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./kmysql/kwrite/Makefile.in --reference=./aclocal.m4
touch ./kmysql/pics/Makefile.in --reference=./aclocal.m4
touch ./kmysql/Makefile.in --reference=./aclocal.m4
touch ./kmysql/docs/en/Makefile.in --reference=./aclocal.m4
touch ./kmysql/docs/fr/Makefile.in --reference=./aclocal.m4
touch ./kmysql/docs/Makefile.in --reference=./aclocal.m4
touch ./kmysql/stabctl/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make
make install
cd ../kmp_mysql-1.2.0
./configure
make
cd ..
cd kmp_psql-0.1.2.2
make
cd ..
%ifarch i386
cd kmp_sybase-0.1.1
make
%endif

%install
cd ../kmp_mysql-1.2.0
make install
cd ..
cd kmp_psql-0.1.2.2
make install
cd ..
%ifarch i386
cd kmp_sybase-0.1.1
make install
%endif

%files
%doc COPYING AUTHORS ChangeLog INSTALL README 
%docdir /opt/kde/share/doc
%dir /opt/kde/include/kmysql
%dir /opt/kde/share/apps/kmysql
%dir /opt/kde/share/apps/kmysql/pics
%dir /opt/kde/share/doc/HTML/en/kmysql
%dir /opt/kde/share/doc/HTML/fr/kmysql
%dir /opt/kde/lib/kmysql/plugins/
/opt/kde/lib/kmysql/plugins/kmp_mysql.so
/opt/kde/lib/kmysql/plugins/kmp_psql.so
%ifarch i386
/opt/kde/lib/kmysql/plugins/kmp_sybase.so
%endif
/opt/kde/bin/kmysql
/opt/kde/include/kmysql/iobject.h
/opt/kde/include/kmysql/isqlserver.h
/opt/kde/include/kmysql/pluginimpl.h
/opt/kde/include/kmysql/queryresult.h
/opt/kde/share/applnk/Applications/kmysql.kdelnk
/opt/kde/share/apps/kmysql/pics/base.xpm
/opt/kde/share/apps/kmysql/pics/column.xpm
/opt/kde/share/apps/kmysql/pics/cserver.xpm
/opt/kde/share/apps/kmysql/pics/delete.xpm
/opt/kde/share/apps/kmysql/pics/febutton.xpm
/opt/kde/share/apps/kmysql/pics/fecheckbox.xpm
/opt/kde/share/apps/kmysql/pics/fecombo.xpm
/opt/kde/share/apps/kmysql/pics/fedate.xpm
/opt/kde/share/apps/kmysql/pics/feedit.xpm
/opt/kde/share/apps/kmysql/pics/felabel.xpm
/opt/kde/share/apps/kmysql/pics/form.xpm
/opt/kde/share/apps/kmysql/pics/html.xpm
/opt/kde/share/apps/kmysql/pics/plugin.xpm
/opt/kde/share/apps/kmysql/pics/query.xpm
/opt/kde/share/apps/kmysql/pics/server.xpm
/opt/kde/share/apps/kmysql/pics/table.xpm
/opt/kde/share/apps/kmysql/pics/windowize.xpm
/opt/kde/share/doc/HTML/en/kmysql/index.html
/opt/kde/share/doc/HTML/en/kmysql/logotp3.gif
/opt/kde/share/doc/HTML/fr/kmysql/index.html
/opt/kde/share/doc/HTML/fr/kmysql/logotp3.gif
/opt/kde/share/icons/kmysql.xpm
/opt/kde/share/icons/mini/mini-kmysql.xpm
/opt/kde/share/locale/fr/LC_MESSAGES/kmysql.mo

%changelog -n kmysql
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Mon Aug 13 2001 - ro@suse.de
- autoconf fixes
* Fri Dec 01 2000 - ro@suse.de
- updated neededforbuild for mysql and postgresql
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Jun 26 2000 - kukuk@suse.de
- built sybase module only on ia32
* Fri Jun 23 2000 - adrian@suse.de
- added mysql, postgres and sybase modules
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from kmysql-1.2.1.tar.gz by autospec
* Wed Apr 12 2000 - adrian@suse.de
- New version 1.2.1
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Thu Feb 24 2000 - grimmer@suse.de
- adjusted to new location of mysql static libs (removed patch)
* Fri Feb 04 2000 - ro@suse.de
- fix C++ code
- work around a compiler-error (x86 this time)
* Fri Sep 24 1999 - ro@suse.de
- fixed config.sub for alphaev6
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - ro@suse.de
- corrected path for libmysqlclient
* Tue Jul 06 1999 - kettner@suse.de
- New version 1.1.3
- Added package kmp_mysql
- Created default configuration with kmp_mysql.so loaded
* Mon May 03 1999 - kettner@suse.de
- Spec file created from kmysql-1.1.1.tar.gz by autospec
* Wed Apr 28 1999 - kettner@suse.de
- Spec file created from kmysql-1.1.1.tar.gz by autospec
